79
Validation results

Construct

Construct

WordPress 5.0.3 theme
79
Critical alerts
  1. WPScan Vulnerability Database : This theme is vulnerable to security breach "Construct 1.4 - dl-skin.php _mysite_delete_skin_zip Parameter Absolute Path Traversal Remote Directory Deletion"
    More on Wordpress Vulnerability Scanner site : https://wpvulndb.com/vulnerabilities/7466
    More on Wordpress Vulnerability Scanner site : https://wpvulndb.com/vulnerabilities/7466"Construct 1.4 - dl-skin.php _mysite_download_skin Parameter Absolute Path Traversal Remote File Download"
    More on Wordpress Vulnerability Scanner site : https://wpvulndb.com/vulnerabilities/7467
    More on Wordpress Vulnerability Scanner site : https://wpvulndb.com/vulnerabilities/7467
    More on Wordpress Vulnerability Scanner site : https://wpvulndb.com/vulnerabilities/7467
Warning
  1. Text domain : Incorrect use of translation functions.Wrong installation directory for the theme name. The directory name must match the slug of the theme. This theme's correct slug and text-domain is construct.
Tip-off
  1. Optional files : Presence of rtl stylesheet rtl.cssThis theme does not contain optional file rtl.php.
  2. Optional files : Presence of term template file taxonomy.phpThis theme does not contain optional file taxonomy.php.

This is a ThemeForest theme. Since Themeforest items are all checked by a human before they appear on their website, ThemeForest verification rules are more permissive than themecheck's and can give a better verification score ( Themeforest requirements ).

79
Critical alerts
  1. WPScan Vulnerability Database : This theme is vulnerable to security breach "Construct 1.4 - dl-skin.php _mysite_delete_skin_zip Parameter Absolute Path Traversal Remote Directory Deletion"
    More on Wordpress Vulnerability Scanner site : https://wpvulndb.com/vulnerabilities/7466
    More on Wordpress Vulnerability Scanner site : https://wpvulndb.com/vulnerabilities/7466"Construct 1.4 - dl-skin.php _mysite_download_skin Parameter Absolute Path Traversal Remote File Download"
    More on Wordpress Vulnerability Scanner site : https://wpvulndb.com/vulnerabilities/7467
    More on Wordpress Vulnerability Scanner site : https://wpvulndb.com/vulnerabilities/7467
    More on Wordpress Vulnerability Scanner site : https://wpvulndb.com/vulnerabilities/7467
Warning
  1. Text domain : Incorrect use of translation functions.Wrong installation directory for the theme name. The directory name must match the slug of the theme. This theme's correct slug and text-domain is construct.
Tip-off
  1. Optional files : Presence of rtl stylesheet rtl.cssThis theme does not contain optional file rtl.php.
  2. Optional files : Presence of term template file taxonomy.phpThis theme does not contain optional file taxonomy.php.
Other checked themes